All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Class ServicePrototypeImporter

    com.sas.services.deployment.ServicePrototypeImporter

All Implemented Interfaces:
  java.lang.Runnable

    public final class ServicePrototypeImporter

Utility to import metadata representing foundation service deployment prototypes from a file into a SAS Metadata Server.

Construct an instance of this utility by specifying the metadata XML that is to be imported into a SAS Metadata Server. The specified file must contain UTF-8 encoded XML representing prototyped metadata for foundation services.

Since:
  1.0

Constructor Summary
`ServicePrototypeImporter(com.sas.metadata.remote.MdFactory mdFactory, java.lang.String repositoryId)` Constructs an instance that will import the default foundation service prototypes into SAS Metadata Server.

Method Summary
`void` | `run()` Runs the service deployment import to load the foundation service prototype metadata into SAS Metadata Server.

Constructor Detail

### ServicePrototypeImporter

    public ServicePrototypeImporter(com.sas.metadata.remote.MdFactory mdFactory,
                                    java.lang.String repositoryId)

  Constructs an instance that will import the default foundation service prototypes into SAS Metadata Server.

  Parameters:
    `mdFactory` - Non-`null` metadata factory which has been initialized with a connection to the SAS Metadata Server.
    `repositoryId` - Metadata repository's ID.

Method Detail

### run

    public void run()

  Runs the service deployment import to load the foundation service prototype metadata into SAS Metadata Server.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`
  See Also:
    `Runnable.run()`

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.